Get the last output files of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/output-files/last-revisions

Get the last revision of each output file of an entity. The response groups the files by output type and by name.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

Query parameters

  • output_type_id string(uuid)

    Get only the files of this output type

  • task_type_id string(uuid)

    Get only the files of this task type

  • representation string

    Get only the files with this representation, for example abc or fbx

  • file_status_id string(uuid)

    Get only the files with this file status

  • name string

    Get only the files with this name

Responses

  • 200 application/json

    The last revisions, by output type and by name

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Output file unique identifier

      • name string

        Output file name

      • revision integer

        Output file revision

      • path string

        Output file path

      • updated_at string(date-time)

        Last update timestamp

  • 403

    You do not have access to this project

  • 404

    The entity does not exist

GET /data/entities/{entity_id}/output-files/last-revisions
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/last-revisions?output_type_id=b35b7fb5-df86-5776-b181-68564193d36&task_type_id=c46c8gc6-eg97-6887-c292-79675204e47&representation=mp4&file_status_id=d57d9hd7-fh08-7998-d403-80786315f58&name=main" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/last-revisions"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "output_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "task_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "representation": "mp4",
    "file_status_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "name": "main"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": {
    "id": "e68e02e8-0219-8009-e514-918974260690",
    "name": "main",
    "revision": 2,
    "path": "/project/asset/output/main_v002.mp4",
    "updated_at": "2023-01-01T12:00:00Z"
  },
  "additionalProperty2": {
    "id": "e68e02e8-0219-8009-e514-918974260690",
    "name": "main",
    "revision": 2,
    "path": "/project/asset/output/main_v002.mp4",
    "updated_at": "2023-01-01T12:00:00Z"
  }
}